summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2010-06-16 20:25:21 +0200
committer Erik Hanson2010-06-17 00:08:28 +0200
commit5de18f0d605c9ad87aeea25093560b510ad17756 (patch)
tree73ded45bf61240c427663fe46d674daeabf08930
parent3a95745cbfb98959c4d4070ef7757b70e2979e5e (diff)
downloadslackbuilds-5de18f0d605c9ad87aeea25093560b510ad17756.tar.gz
libraries/libcanberra: Added (XDG Sound Theme and Name Spec implementation)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/libcanberra/README4
-rw-r--r--libraries/libcanberra/libcanberra.SlackBuild102
-rw-r--r--libraries/libcanberra/libcanberra.info10
-rw-r--r--libraries/libcanberra/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/libcanberra/README b/libraries/libcanberra/README
new file mode 100644
index 0000000000..cfc63bf85f
--- /dev/null
+++ b/libraries/libcanberra/README
@@ -0,0 +1,4 @@
+libcanberra is an implementation of the XDG Sound Theme and Name
+Specifications, for generating event sounds on free desktops.
+It comes with several backends (ALSA, PulseAudio, OSS, GStreamer, null)
+and is designed to be portable.
diff --git a/libraries/libcanberra/libcanberra.SlackBuild b/libraries/libcanberra/libcanberra.SlackBuild
new file mode 100644
index 0000000000..137dcba3d4
--- /dev/null
+++ b/libraries/libcanberra/libcanberra.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for libcanberra
+
+# Copyright 2010 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=libcanberra
+VERSION=0.23
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-oss \
+ --disable-schemas-install \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LGPL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s ../../share/gtk-doc/html/libcanberra html )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libcanberra/libcanberra.info b/libraries/libcanberra/libcanberra.info
new file mode 100644
index 0000000000..7566d62f92
--- /dev/null
+++ b/libraries/libcanberra/libcanberra.info
@@ -0,0 +1,10 @@
+PRGNAM="libcanberra"
+VERSION="0.23"
+HOMEPAGE="http://0pointer.de/lennart/projects/libcanberra/"
+DOWNLOAD="http://0pointer.de/lennart/projects/libcanberra/libcanberra-0.23.tar.gz"
+MD5SUM="83fb2fb7608c77f91904e12a867534fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Erik Hanson"
diff --git a/libraries/libcanberra/slack-desc b/libraries/libcanberra/slack-desc
new file mode 100644
index 0000000000..96af83e0e3
--- /dev/null
+++ b/libraries/libcanberra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libcanberra: libcanberra (XDG Sound Theme and Name Spec implementation)
+libcanberra:
+libcanberra: libcanberra is an implementation of the XDG Sound Theme and Name
+libcanberra: Specifications, for generating event sounds on free desktops.
+libcanberra:
+libcanberra: It comes with several backends (ALSA, PulseAudio, OSS, GStreamer, null)
+libcanberra: and is designed to be portable.
+libcanberra:
+libcanberra: Homepage: http://0pointer.de/lennart/projects/libcanberra/
+libcanberra:
+libcanberra: